%define major 5
%define libname %mklibname tiff %{major}
%define develname %mklibname tiff -d
%define staticdevelname %mklibname tiff -d -s

Summary:	A library of functions for manipulating TIFF format image files
Name:		libtiff
Version:	4.0.6
Release:	%mkrel 1
License:	BSD-like
Group:		System/Libraries
URL:		http://www.remotesensing.org/libtiff/
Source0:	ftp://ftp.remotesensing.org/pub/libtiff/tiff-%{version}.tar.xz
Patch0:		tiff-cvs20151227.patch
BuildRequires:	jbig-devel
BuildRequires:	libjpeg-devel
BuildRequires:	freeglut-devel
BuildRequires:	zlib-devel
BuildRequires:	lzma-devel

%description
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

%package	progs
Summary:	Binaries needed to manipulate TIFF format image files
Group:		Graphics
Requires:	%{libname} = %{version}
Obsoletes:	libtiff3-progs
Provides:	libtiff3-progs = %{version}-%{release}

%description	progs
This package provides binaries needed to manipulate TIFF format image files.

%package -n	%{libname}
Summary:	A library of functions for manipulating TIFF format image files
Group:		System/Libraries
Obsoletes:	%{name} < %{version}
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}tiff4
Provides:	%{_lib}tiff4 = %{version}-%{release}

%description -n	%{libname}
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

%package -n	%{develname}
Summary:	Development tools for programs which will use the libtiff library
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	tiff-devel = %{version}-%{release}
Obsoletes:	%{mklibname tiff 3 -d}

%description -n	%{develname}
This package contains the header files and .so libraries for developing
programs which will manipulate TIFF format image files using the libtiff
library.

%package -n	%{staticdevelname}
Summary:	Static libraries for programs which will use the libtiff library
Group:		Development/Libraries
Requires:	%{develname} = %{version}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	tiff-static-devel = %{version}-%{release}
Obsoletes:	%{mklibname tiff 3 -d -s}

%description -n	%{staticdevelname}
This package contains the static libraries for developing
programs which will manipulate TIFF format image files using the libtiff
library.

%prep
%setup -q -n tiff-%{version}
%patch0 -p1

%build
%configure2_5x --enable-static --with-docdir=%{_datadir}/doc/%{develname} --enable-ld-version-script
%make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

# multiarch policy
%multiarch_includes %{buildroot}%{_includedir}/tiffconf.h

%files progs
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc %{_datadir}/doc/%{develname}
%{_includedir}/*.h*
%{multiarch_includedir}/tiffconf.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*

%files -n %{staticdevelname}
%doc COPYRIGHT README TODO VERSION
%{_libdir}/*.a


%changelog
* Sat Jan 02 2016 bb <bb> 4.0.6-1pclos2016
- update

* Wed Jul 08 2015 bb <bb> 4.0.4-1pclos2015
- update
- drop old security patches
- library major is 5 so lets fix
- updating over previous version with
- wrong library major

* Tue Dec 17 2013 billybot <billybot> 4.0.3-2pclos2013
- security update
- rebuild for new libjpeg8
